---
title: "FreeBSD 5.2-RELEASE Announcement"
sidenav: download
---

++++


<p><b>Date:</b> Mon, 12 Jan 2004 13:25:30 -0700 (MST)<br clear="none" />
  <b>From:</b> Scott Long &lt;scottl@FreeBSD.org&gt;<br clear="none" />
  <b>To:</b> freebsd-announce@FreeBSD.org<br clear="none" />
  <b>Subject:</b> [FreeBSD-Announce] FreeBSD 5.2 Released!</p>

<p>
It is once again my great privilege and pleasure to announce the
availability of FreeBSD 5.2-RELEASE.  Building upon the success of
FreeBSD 5.1, this release includes:
</p>

<ul>
  <li>Full Tier-1 support for single and multiprocessor AMD Athlon64
    and Opteron systems.</li>

  <li>Dynamically linked root partition for a smaller installation
    footprint and better integration with the Name Service Switch
    subsystem.</li>

  <li>New and improved driver support for IDE, SATA, and 802.11a/b/g
    devices, and significantly better integration with the ACPI power
    management subsystem.</li>

  <li>Client support for the Network File System version 4
    protocol.</li>

  <li>Experimental first-stage support for multithreaded filtering and
    forwarding of IP traffic.  This also provides the foundation for a
    fully multi-threaded network stack in the next release of
    FreeBSD.</li>

  <li>In-box support for the latest Gnome 2.4 and KDE 3.1
    desktops.</li>

</ul>

<p>
FreeBSD 5.2 also contains a number of significant stability and
performance improvements over FreeBSD 5.1.  However, it is still
considered a 'New Technology' release and might not be suitable for
all users.  Users with more conservative needs may prefer to continue
using FreeBSD 4.X.  Information on the various trade-offs involved, as
well as some notes on future plans for both FreeBSD 4.X and 5.X, can
be found in the Early Adopter's Guide, available here:
</p>

<p>
<tt><a href="http://www.FreeBSD.org/releases/5.2R/early-adopter.html" shape="rect">http://www.FreeBSD.org/releases/5.2R/early-adopter.html</a></tt>
</p>

<p>
For a complete list of new features and known problems, please see the
release notes and errata list, available here:
</p>

<p><tt><a href="http://www.FreeBSD.org/releases/5.2R/relnotes.html" shape="rect">http://www.FreeBSD.org/releases/5.2R/relnotes.html</a></tt></p>
<p><tt><a href="http://www.FreeBSD.org/releases/5.2R/errata.html" shape="rect">http://www.FreeBSD.org/releases/5.2R/errata.html</a></tt></p>

<p>
For more information about FreeBSD release engineering activities,
please see:
</p>

<p>
<tt><a href="http://www.FreeBSD.org/releng/" shape="rect">http://www.FreeBSD.org/releng/</a></tt>
</p>

<p><b>Availability</b></p>

<p>
FreeBSD 5.2-RELEASE supports the i386, pc98, alpha, sparc64, amd64, and
ia64 architectures and can be installed directly over the net using the
boot floppies or copied to a local NFS/FTP server.  Distributions for
all architectures are available now.
</p>

<p>
Please continue to support the FreeBSD Project by purchasing media
from one of our supporting vendors.  The following companies will be
offering FreeBSD 5.2 based products:
</p>

<table border="0">
  <tbody>
    <tr>
      <td rowspan="1" colspan="1">FreeBSD Mall, Inc.</td>
      <td rowspan="1" colspan="1"><tt><a href="http://www.freebsdmall.com/" shape="rect">http://www.freebsdmall.com/</a></tt></td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">Daemonnews, Inc.</td>
      <td rowspan="1" colspan="1"><tt><a href="http://www.bsdmall.com/freebsd1.html" shape="rect">http://www.bsdmall.com/freebsd1.html</a></tt></td>
    </tr>
  </tbody>
</table>

<p>
If you can't afford FreeBSD on media, are impatient, or just want to
use it for evangelism purposes, then by all means download the ISO
images.  We can't promise that all the mirror sites will carry the
larger ISO images, but they will at least be available from:
</p>

<ul>
  <li><tt><a href="ftp://ftp.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp2.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp2.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp3.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp3.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp4.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp4.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp5.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp5.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp6.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp6.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp7.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp7.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp9.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp9.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp11.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp11.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp12.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp12.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp2.jp.freebsd.org/pub/FreeBSD/" shape="rect">ftp://ftp2.jp.freebsd.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp4.jp.freebsd.org/pub/FreeBSD/" shape="rect">ftp://ftp4.jp.freebsd.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp5.jp.freebsd.org/pub/FreeBSD/" shape="rect">ftp://ftp5.jp.freebsd.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp.cz.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp.cz.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp7.de.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp7.de.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp.se.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp.se.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp1.ru.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp1.ru.FreeBSD.org/pub/FreeBSD/</a></tt></li>
  <li><tt><a href="ftp://ftp2.ru.FreeBSD.org/pub/FreeBSD/" shape="rect">ftp://ftp2.ru.FreeBSD.org/pub/FreeBSD/</a></tt></li>
</ul>

<p>
FreeBSD is also available via anonymous FTP from mirror sites in the
following countries: Argentina, Australia, Brazil, Bulgaria, Canada,
China, Czech Republic, Denmark, Estonia, Finland, France, Germany,
Hong Kong, Hungary, Iceland, Ireland, Japan, Korea, Lithuania,
Amylonia, the Netherlands, New Zealand, Poland, Portugal, Romania,
Russia, Saudi Arabia, South Africa, Slovak Republic, Slovenia, Spain,
Sweden, Taiwan, Thailand, Ukraine, and the United Kingdom.
</p>

<p>
Before trying the central FTP site, please check your regional
mirror(s) first by going to:
</p>

<p>
<tt>ftp://ftp.<em>&lt;yourdomain&gt;</em>.FreeBSD.org/pub/FreeBSD</tt>
</p>

<p>
Any additional mirror sites will be labeled ftp2, ftp3 and so on.
</p>

<p>
More information about FreeBSD mirror sites can be found at:
</p>

<p>
<tt><a href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors-ftp.html" shape="rect">http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors-ftp.html</a></tt>
</p>

<p>
For instructions on installing FreeBSD, please see Chapter 2 of The
FreeBSD Handbook.  It provides a complete installation walk-through
for users new to FreeBSD, and can be found online at:
</p>

<p>
<tt><a href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/install.html" shape="rect">http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/install.html</a></tt>
</p>

<p><b>Acknowledgments</b></p>

<p>
Many companies donated equipment, network access, or man-hours to
finance the release engineering activities for FreeBSD 5.2 including
The FreeBSD Mall, Compaq, Yahoo!, Sentex Communications, and
NTT/Verio.
</p>

<p>The release engineering team for 5.2-RELEASE includes:</p>

<table border="0">
  <tbody>
    <tr>
      <td rowspan="1" colspan="1">Scott Long &lt;<a href="mailto:scottl@FreeBSD.org" shape="rect">scottl@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">Release Engineering, IA32 and Alpha Release Building</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">Bruce A. Mah &lt;<a href="mailto:bmah@FreeBSD.org" shape="rect">bmah@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">Release Engineering, Documentation</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">Robert Watson &lt;<a href="mailto:rwatson@FreeBSD.org" shape="rect">rwatson@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">Release Engineering, Security</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">John Baldwin &lt;<a href="mailto:jhb@FreeBSD.org" shape="rect">jhb@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">Release Engineering</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">Murray Stokely &lt;<a href="mailto:murray@FreeBSD.org" shape="rect">murray@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">Release Engineering</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">Ken Smith &lt;<a href="mailto:kensmith@FreeBSD.org" shape="rect">kensmith@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">Sparc64 Release Building, Mirror Site Coordinator</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">Marcel Moolenaar &lt;<a href="mailto:marcel@FreeBSD.org" shape="rect">marcel@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">IA64 Release Building</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">David O'Brien &lt;<a href="mailto:obrien@FreeBSD.org" shape="rect">obrien@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">AMD64 Release Building</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">Takahashi Yoshihiro &lt;<a href="mailto:nyan@FreeBSD.org" shape="rect">nyan@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">PC98 Release Building</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">Kris Kennaway &lt;<a href="mailto:kris@FreeBSD.org" shape="rect">kris@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">Package Building</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">Joe Marcus Clarke &lt;<a href="mailto:marcus@FreeBSD.org" shape="rect">marcus@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">Package Building</td>
    </tr>
    <tr>
      <td rowspan="1" colspan="1">Jacques A. Vidrine &lt;<a href="mailto:nectar@FreeBSD.org" shape="rect">nectar@FreeBSD.org</a>&gt;</td>
      <td rowspan="1" colspan="1">Security Officer</td>
    </tr>
  </tbody>
</table>

<p><b>CD Image Checksums</b></p>

<pre xml:space="preserve">
MD5 (5.2-RELEASE-i386-bootonly.iso) = 3adbf5641c35ce2fb4f60295a9131794
MD5 (5.2-RELEASE-i386-disc1.iso) = cc2c9f647850df2bf96a478f0cbf18b6
MD5 (5.2-RELEASE-i386-disc2.iso) = ae5e15ee38e3f4f2a05c9355fa0a1aed
MD5 (5.2-RELEASE-i386-miniinst.iso) = 40c9a789d7d8e472914f9bc1e34ea04f

MD5 (5.2-RELEASE-alpha-bootonly.iso) = 75f19aa7c24ac91af9bc21376a1d980b
MD5 (5.2-RELEASE-alpha-disc1.iso) = 727785cb6485828db5e7f6b75217ed55
MD5 (5.2-RELEASE-alpha-disc2.iso) = b83e38a9cd698051fc05915932b03b82
MD5 (5.2-RELEASE-alpha-miniinst.iso) = 87042a14d0de3979667bb9d41bd84d45

MD5 (5.2-RELEASE-sparc64-bootonly.iso) = e08fe8cf77549c7404acf7ee03eeeb0e
MD5 (5.2-RELEASE-sparc64-disc1.iso) = 2373f5bd491a15cfc8fa856fe92b75b9
MD5 (5.2-RELEASE-sparc64-disc2.iso) = 2fb598c20873f79fcf1afc112de06641
MD5 (5.2-RELEASE-sparc64-miniinst.iso) = f6f064e3785367f1b2d673502f59565a

MD5 (5.2-RELEASE-ia64-bootonly.iso) = b8ac4103a1703df9dba00f14a7c7557c
MD5 (5.2-RELEASE-ia64-disc1.iso) = d473c7fc79f8e40b3e331300ead5b90e
MD5 (5.2-RELEASE-ia64-disc2.iso) = c2a59d77bac522e7f8dee0460423cc2a
MD5 (5.2-RELEASE-ia64-miniinst.iso) = a545b3974d18f0fd7796bff84b50825f

MD5 (5.2-RELEASE-amd64-bootonly.iso) = 4cefddd4dd3f1b67e9f78380a058de81
MD5 (5.2-RELEASE-amd64-disc1.iso) = 308af2fa0e96a394d445e8e89c1cbece
MD5 (5.2-RELEASE-amd64-disc2.iso) = b00834c97fbab12d3ea4b159134a8f63
MD5 (5.2-RELEASE-amd64-miniinst.iso) = 06f19271f985ca1acbd45fe9a6b13204

MD5 (5.2-RELEASE-pc98-disc2.iso) = b167880c4e644f16f7377b715ccbf7c6
MD5 (5.2-RELEASE-pc98-miniinst.iso) = 3b6ca2637d41e7052c028a41a1cefc6d
</pre>


</div>
          <br class="clearboth" />
        </div>
        
++++

